Subject: Re: bug#17748: "Stack overflow in regexp matcher" error when calling gnus-article-browse-html-article on certain emails

From: [email-masked]
Date: Thu, 26 Jan 2017 09:31:38 -0500

tags 17748 = fixed
close 17748 24.4
quit

Rainer M Krug <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Rainer M Krug <[email-masked]> writes:
>>
>>> When running  gnus-article-browse-html-article  on certain emails, I get
>>> the following error:
>>>
>>> ,----
>>> | Debugger entered--Lisp error: (error "Stack overflow in regexp matcher")
>>> |   re-search-forward("<meta\\s-+http-equiv=[\"']?content-type[\"']?\\s-+content=[\"']text/\\(\\sw+\\)\\(?:;\\s-*charset=\\(.+\\)\\)?[\"'][^>]*>"
>>> | nil t)
>>> |   mm-add-meta-html-tag((#<buffer *mm*-948779> ("text/html" (charset
>>> | . "UTF-8")) quoted-printable nil nil nil nil "html-body") "UTF-8"
>>> | nil)
>>
>> [...]
>>
>> I seem to be unable to reproduce the bug on master now.  Are you still
>> seeing this problem?
>
> Thanks for looking into this.
>
> Not recently. I am running
>
> ,----
> | Gnus v5.13
> | GNU Emacs 25.1.91.1 (x86_64-apple-darwin16.3.0, Carbon Version 157 AppKit 1504.76) of 2017-01-12
> `----

I believe this has been fixed by [1: 07dd2ea], which changed the regex
shown in the backtrace.  Closing, but feel free to reopen if you hit it
again.

1: 2013-09-17 10:21:24 +0000 07dd2ea47f58d35b34581401a09d7d842a35fbdf
  lisp/gnus/mm-decode.el (mm-add-meta-html-tag): Fix regexp matching meta tag